ADC_util.h File Reference
`#include <settings_defines.h>`

Go to the source code of this file.

## Namespaces

| ADC_util
| Util functions for ino sketches and tests.

## Functions

const char * | ADC_util::getConversionEnumStr (ADC_CONVERSION_SPEED conv_speed)
| Convert the conversion speed code to text. More...
const char * | ADC_util::getSamplingEnumStr (ADC_SAMPLING_SPEED samp_speed)
| Convert the sampling speed code to text. More...
const char * | ADC_util::getStringADCError (ADC_ERROR fail_flag)
| Converts the error code to text. More...

## Variables

const uint8_t | ADC_util::averages_list [] = {1, 4, 8, 16, 32}
| List of possible averages. More...
const uint8_t | ADC_util::resolutions_list [] = {8, 10, 12, 16}
| List of possible resolutions. More...
const ADC_CONVERSION_SPEED | ADC_util::conversion_speed_list []
| List of possible conversion speeds. More...
const ADC_SAMPLING_SPEED | ADC_util::sampling_speed_list []
| List of possible sampling speeds. More...